X-Git-Url: https://git.sommitrealweird.co.uk/onak.git/blobdiff_plain/cd4738e8f5ede42cba925b58a84c61e22bab8e8f..e9e09c3dc07b0fc2ebf615a79d93b2e6bcdb1077:/debian/postinst

diff --git a/debian/postinst b/debian/postinst
index c34d68e..9770352 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -7,8 +7,20 @@ if [ "$1" = "configure" ]; then
     # Add the onak user
     adduser --system --home /var/lib/onak --no-create-home --disabled-login onak
 
-    # Take ownership of the database directory
+    # 
+    # If there's no onak database, create it by adding my key.
+    #
+    if [ ! -e /var/lib/onak/num_keydb ]; then
+        zcat /usr/share/doc/onak/noodles.key | onak -b add
+    fi
+
+    # Take ownership of the database and spool directory
     chown -R onak /var/lib/onak
+    chown -R onak /var/spool/onak
+
+    # Create our logfile
+    touch /var/log/onak.log
+    chown onak /var/log/onak.log
 
     # Make the CGI tools setuid onak
     for i in /usr/lib/cgi-bin/pks/*
@@ -18,4 +30,20 @@ if [ "$1" = "configure" ]; then
             dpkg-statoverride --update --add onak root 4755 $i
         fi
     done
+
+    # If we don't have a DB backend defined, then add appropriate config
+    if ! grep -q db_backend /etc/onak.conf; then
+        echo "# Auto added on package update" >> /etc/onak.conf
+        echo "backends_dir /usr/lib/onak/backends" >> /etc/onak.conf
+        echo "db_backend db4" >> /etc/onak.conf
+    fi
+
+    # If we still have the old default mail_dir setting, fix it
+    if grep -q "mail_dir /community/pgp-keyserver/incoming" /etc/onak.conf; then
+        sed -i.bak "s/community\/pgp-keyserver\/incoming/var\/spool\/onak/" \
+		/etc/onak.conf
+    fi
+
 fi
+
+#DEBHELPER#